import { Release } from '../release.model';
export declare abstract class PluginConnector {
    url: string;
    token: string;
    constructor(url: string, token: string);
    abstract getReleases(): Promise<Release[]>;
    abstract download(release: Release, tempPath: string): Promise<void>;
    getCompatiblePlugins(ngAfelioVersion: string): Promise<string[]>;
    filterByNgAfelioVersion(releases: Release[], ngAfelioVersion: string): Release[];
    filterByName(releases: Release[], name: string): Release[];
    protected compareVersions(versionA: string, versionB: string): number;
}
